CreateUserDialogHandle (install4j API)
Description: declaration: package: com.install4j.api.test.ui, interface: CreateUserDialogHandle

# Interface CreateUserDialogHandle

All Superinterfaces:
  `DialogHandle, UiContainer`

public interface CreateUserDialogHandle extends DialogHandle
Typed handle for the dialog shown by the "Windows user selector" form component when its "Create User..." button is clicked.

Reach this handle via `Session.createUserDialog()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Cancel the dialog without creating a user.
  `void`
  `confirm()`
  Confirm the dialog.
  `CreateUserDialogHandle`
  `setDescription(String description)`
  Set the user description.
  `CreateUserDialogHandle`
  `setGroupName(String group)`
  Set the group name.
  `CreateUserDialogHandle`
  `setPassword(String password)`
  Set the password.
  `CreateUserDialogHandle`
  `setRepeatPassword(String password)`
  Set the password-repeat field.
  `CreateUserDialogHandle`
  `setUserName(String name)`
  Set the username.

  ### Methods inherited from interface DialogHandle

  `clickWindowClose, getTitle`

  ### Methods inherited from interface UiContainer

  `dumpAsString, saveScreenshot`

- ## Method Details

  - ### setUserName

    @NotNull CreateUserDialogHandle setUserName(@NotNull String name)
    Set the username.

  - ### setDescription

    @NotNull CreateUserDialogHandle setDescription(@NotNull String description)
    Set the user description.

  - ### setGroupName

    @NotNull CreateUserDialogHandle setGroupName(@NotNull String group)
    Set the group name.

  - ### setPassword

    @NotNull CreateUserDialogHandle setPassword(@NotNull String password)
    Set the password.

  - ### setRepeatPassword

    @NotNull CreateUserDialogHandle setRepeatPassword(@NotNull String password)
    Set the password-repeat field.

  - ### confirm

    void confirm()
    Confirm the dialog. The user-selector model receives the resulting SID and the form's configured variable is populated when the screen completes.

  - ### cancel

    void cancel()
    Cancel the dialog without creating a user.